import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'ucap-inline-edit-input',
  templateUrl: './inline-edit-input.component.html',
  styleUrls: ['./inline-edit-input.component.scss']
})
export class InlineEditInputComponent implements OnInit {
  get editMode() {
    return this._editMode;
  }
  set editMode(editMode: boolean) {
    this._editMode = editMode;
  }
  // tslint:disable-next-line: variable-name
  _editMode = false;

  constructor() {}

  ngOnInit() {}

  onClickEdit(event: Event) {
    this.editMode = true;
  }

  onClickCancel(event: Event) {
    this.editMode = false;
  }

  onClickApply(event: Event) {
    this.editMode = false;
  }
}
